Subject: [bug#49957] [PATCH] gnu: p11-kit: Fix certificate errors from flatpak apps

From: John Kehayias <[email-masked]>
Date: Tue, 28 Sep 2021 02:26:22 +0000

Interestingly, I just hit this issue after moving to core-updates-frozen. Not sure what caused it now, p11-kit nor flatpak has changed, but must be something between them.

Unfortunately, this would cause a huge rebuild from what I can tell, so I tried --with-graft and it didn't seem to make a difference. Also, p11-kit is now out of date, with the latest version being 0.24.0.

So, perhaps this could make its way into core-updates-frozen with the upcoming world rebuild coming? https://bugs.gnu.org/50860 Also wanted to note that this change would match what nix does with p11-kit for the same reason.

Open to other suggestions, hoping to not break flatpak in core-updates-frozen.